## org.eclipse.datatools.modelbase.sql.datatypes
Interface PredefinedDataType

All Superinterfaces:
  DataType, SQLDataType, SQLObject

All Known Subinterfaces:
  ApproximateNumericDataType, BinaryStringDataType, BooleanDataType, CharacterStringDataType, DataLinkDataType, DateDataType, ExactNumericDataType, FixedPrecisionDataType, IntegerDataType, IntervalDataType, NumberDataType, NumericalDataType, TimeDataType, XMLDataType

All Known Implementing Classes:
  ApproximateNumericDataTypeImpl, BinaryStringDataTypeImpl, BooleanDataTypeImpl, CharacterStringDataTypeImpl, DataLinkDataTypeImpl, DateDataTypeImpl, ExactNumericDataTypeImpl, FixedPrecisionDataTypeImpl, IntegerDataTypeImpl, IntervalDataTypeImpl, NumericalDataTypeImpl, PredefinedDataTypeImpl, TimeDataTypeImpl, XMLDataTypeImpl

public interface PredefinedDataType
extends SQLDataType

A representation of the model object 'Predefined Data Type'. 4.1 Data types A data type is a set of representable values. Every representable value belongs to at least one data type and some belong to several data types. [...] Every predefined data type is a subtype of itself and of no other data types. It follows that every predefined data type is a supertype of itself and of no other data types. The predefined data types are individually described in each of Subclause 4.2, "Character strings", through Subclause 4.6, "Datetimes and intervals". Row types, reference types and collection types are described in Subclause 4.8, "Row types", Subclause 4.9, "Reference types", Subclause 4.10, "Collection types", respectively. SQL defines predefined data types named by the following <key word> s: CHARACTER , CHARACTER VARYING , CHARACTER LARGE OBJECT , BINARY LARGE OBJECT , NUMERIC , DECIMAL , SMALLINT , INTEGER , BIGINT , FLOAT , REAL , DOUBLE PRECISION , BOOLEAN , DATE , TIME , TIMESTAMP , and INTERVAL . These names are used in the type designators that constitute the type precedence lists specified in Subclause 9.5, "Type precedence list determination".

The following features are supported:

- `Primitive Type`

See Also:
  `SQLDataTypesPackage.getPredefinedDataType()`

Method Summary
`PrimitiveType` `getPrimitiveType()` Returns the value of the 'Primitive Type' attribute.
`void` `setPrimitiveType(PrimitiveType value)` Sets the value of the '`Primitive Type`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getPrimitiveType

    public PrimitiveType getPrimitiveType()

  Returns the value of the 'Primitive Type' attribute. The literals are from the enumeration `PrimitiveType`.

  If the meaning of the 'Primitive Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Primitive Type' attribute.
  See Also:
    `PrimitiveType`, `setPrimitiveType(PrimitiveType)`, `SQLDataTypesPackage.getPredefinedDataType_PrimitiveType()`

### setPrimitiveType

    public void setPrimitiveType(PrimitiveType value)

  Sets the value of the '`Primitive Type`' attribute.

  Parameters:
    `value` - the new value of the 'Primitive Type' attribute.
  See Also:
    `PrimitiveType`, `getPrimitiveType()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.